package com.memorynotfound.hibernate;

import javax.persistence.*;

@Entity
@NamedNativeQueries(value = {
        @NamedNativeQuery(
                name = "Book.findAll",
                query = "SELECT * FROM Book",
                resultClass = Book.class),
        @NamedNativeQuery(
                name = "Book.findById",
                query = "SELECT * from Book WHERE id = :id",
                resultClass = Book.class)
})
public class Book {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    private String title;

    public Book() {
    }

    public Book(String title) {
        this.title = title;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String toString() {
        return "Book{" +
                "id=" + id +
                ", title='" + title + '\'' +
                '}';
    }
}
